import java.util.Optional;
public class NullExTester {
  
  public String upper1(String str){
  	return str.toUpperCase();  	
  }
  
  public String upper2(String str){
  	if(str!=null)
  	  return str.toUpperCase();
  	else
      return null;		     	
  }
  
  public String upper3(String str){
    Optional <String> optional=Optional.ofNullable(str);
    if(optional.isPresent())
  	  return optional.get().toUpperCase();
  	else
      return null;		     	
  }
}



/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net               *
 ***************************************************/

